Bug 612075 - [abrt] crash in exaile-0.3.2.0-1.fc13: playlist.py:563:index:ValueError: list.index(x): x not in list
Summary: [abrt] crash in exaile-0.3.2.0-1.fc13: playlist.py:563:index:ValueError: list...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dcaa65d0
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-07 09:23 UTC by Hexchain Tong
Modified: 2011-03-28 19:25 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 19:25:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (542 bytes, text/plain)
2010-07-07 09:23 UTC, Hexchain Tong
no flags Details

Description Hexchain Tong 2010-07-07 09:23:10 UTC
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment: Playing a track
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.5-124.fc13.x86_64
package: exaile-0.3.2.0-1.fc13
reason: playlist.py:563:index:ValueError: list.index(x): x not in list
release: Fedora release 13 (Goddard)

backtrace
-----
playlist.py:563:index:ValueError: list.index(x): x not in list

Traceback (most recent call last):
  File "/usr/share/exaile/plugins/minimode/__init__.py", line 340, in on_track_change
    index = self.exaile.queue.current_playlist.index(track)
  File "/usr/lib/python2.6/site-packages/exaile/xl/playlist.py", line 563, in index
    return self.ordered_tracks.index(track)
ValueError: list.index(x): x not in list

Local variables in innermost frame:
track: "'Track' from 'Album' by 'Artist'"
self: <xl.playlist.Playlist object at 0x25cf390>

How to reproduce
-----
Enter 'Mini mode' and choose another track

Comment 1 Hexchain Tong 2010-07-07 09:23:12 UTC
Created attachment 430003 [details]
File: backtrace

Comment 2 vinced 2010-10-27 23:19:26 UTC
Package: exaile-0.3.2.0-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
it was a bit weird ... I had a playlist. I selected half of the tracks and pressed "del" : they disappeared : ok.
I played the first track which wasn't deleted : ok
BUT
the next track wasn't the one written in the software, but the former track that had been deleted with del,
wasn't present on screen but seemed to have its place in the playlist. With the arrows, I kept moving inside the former playlist.

I moved a track with the mouse and exaile gave this error. 
Now everything's ok O_o

hope it's a good enough bug report
cheers

Comment 3 Fedora Update System 2011-03-04 15:49:21 UTC
Package exaile-0.3.2.1-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-05 02:22:03 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc13

Comment 5 Fedora Update System 2011-03-28 19:22:55 UTC
exaile-0.3.2.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.